## rspamd-3.13.2.tar.gz

=== contrib/librdns/CMakeLists.txt ===
SET(LIBRDNSSRC			util.c
						logger.c
						compression.c
						punycode.c
						curve.c
						parse.c
						packet.c
						resolver.c)

ADD_LIBRARY(rdns STATIC ${LIBRDNSSRC})
SET_TARGET_PROPERTIES(rdns PROPERTIES COMPILE_FLAGS "-DUSE_RSPAMD_CRYPTOBOX")

=== src/libserver/CMakeLists.txt ===
# Librspamdserver
ADD_SUBDIRECTORY(css)
SET(LIBRSPAMDSERVERSRC
        ${CMAKE_CURRENT_SOURCE_DIR}/cfg_utils.cxx
        ${CMAKE_CURRENT_SOURCE_DIR}/cfg_rcl.cxx
        ${CMAKE_CURRENT_SOURCE_DIR}/composites/composites.cxx
        ${CMAKE_CURRENT_SOURCE_DIR}/composites/composites_manager.cxx
        ${CMAKE_CURRENT_SOURCE_DIR}/dkim.c
        ${CMAKE_CURRENT_SOURCE_DIR}/dns.c
        ${CMAKE_CURRENT_SOURCE_DIR}/dynamic_cfg.c
        ${CMAKE_CURRENT_SOURCE_DIR}/async_session.c
        ${CMAKE_CURRENT_SOURCE_DIR}/fuzzy_backend/fuzzy_backend.c
        ${CMAKE_CURRENT_SOURCE_DIR}/fuzzy_backend/fuzzy_backend_sqlite.c
        ${CMAKE_CURRENT_SOURCE_DIR}/fuzzy_backend/fuzzy_backend_redis.c
        ${CMAKE_CURRENT_SOURCE_DIR}/fuzzy_backend/fuzzy_backend_noop.c
        ${CMAKE_CURRENT_SOURCE_DIR}/milter.c
        ${CMAKE_CURRENT_SOURCE_DIR}/monitored.c
        ${CMAKE_CURRENT_SOURCE_DIR}/protocol.c
        ${CMAKE_CURRENT_SOURCE_DIR}/re_cache.c
        ${CMAKE_CURRENT_SOURCE_DIR}/redis_pool.cxx
        ${CMAKE_CURRENT_SOURCE_DIR}/roll_history.c
        ${CMAKE_CURRENT_SOURCE_DIR}/spf.c
        ${CMAKE_CURRENT_SOURCE_DIR}/ssl_util.c
        ${CMAKE_CURRENT_SOURCE_DIR}/symcache/symcache_impl.cxx
        ${CMAKE_CURRENT_SOURCE_DIR}/symcache/symcache_item.cxx
        ${CMAKE_CURRENT_SOURCE_DIR}/symcache/symcache_runtime.cxx
        ${CMAKE_CURRENT_SOURCE_DIR}/symcache/symcache_c.cxx
        ${CMAKE_CURRENT_SOURCE_DIR}/task.c
        ${CMAKE_CURRENT_SOURCE_DIR}/url.c
        ${CMAKE_CURRENT_SOURCE_DIR}/worker_util.c
        ${CMAKE_CURRENT_SOURCE_DIR}/logger/logger.c
        ${CMAKE_CURRENT_SOURCE_DIR}/logger/logger_file.c
        ${CMAKE_CURRENT_SOURCE_DIR}/logger/logger_syslog.c
        ${CMAKE_CURRENT_SOURCE_DIR}/logger/logger_console.c
        ${CMAKE_CURRENT_SOURCE_DIR}/http/http_util.c
        ${CMAKE_CURRENT_SOURCE_DIR}/http/http_message.c
        ${CMAKE_CURRENT_SOURCE_DIR}/http/http_connection.c
        ${CMAKE_CURRENT_SOURCE_DIR}/http/http_router.c
        ${CMAKE_CURRENT_SOURCE_DIR}/http/http_context.c
        ${CMAKE_CURRENT_SOURCE_DIR}/maps/map.c
        ${CMAKE_CURRENT_SOURCE_DIR}/maps/map_helpers.c
        ${CMAKE_CURRENT_SOURCE_DIR}/html/html_entities.cxx
        ${CMAKE_CURRENT_SOURCE_DIR}/html/html_url.cxx
        ${CMAKE_CURRENT_SOURCE_DIR}/html/html.cxx
        ${CMAKE_CURRENT_SOURCE_DIR}/html/html_tests.cxx
        ${CMAKE_CURRENT_SOURCE_DIR}/hyperscan_tools.cxx
        ${CMAKE_CURRENT_SOURCE_DIR}/backtrace.cxx
        ${LIBCSSSRC})

# Librspamd-server
SET(RSPAMD_SERVER ${LIBRSPAMDSERVERSRC} PARENT_SCOPE)
SET(LIBSERVER_DEPENDS "${LIBCSS_DEPENDS}" PARENT_SCOPE)
SET(LIBSERVER_GENERATED "${LIBCSS_GENERATED}" PARENT_SCOPE)

=== src/libstat/CMakeLists.txt ===
# Librspamdserver
SET(LIBSTATSRC ${CMAKE_CURRENT_SOURCE_DIR}/stat_config.c
        ${CMAKE_CURRENT_SOURCE_DIR}/stat_process.c)

SET(TOKENIZERSSRC ${CMAKE_CURRENT_SOURCE_DIR}/tokenizers/tokenizers.c
        ${CMAKE_CURRENT_SOURCE_DIR}/tokenizers/tokenizer_manager.c
        ${CMAKE_CURRENT_SOURCE_DIR}/tokenizers/osb.c)

SET(CLASSIFIERSSRC ${CMAKE_CURRENT_SOURCE_DIR}/classifiers/bayes.c
        ${CMAKE_CURRENT_SOURCE_DIR}/classifiers/lua_classifier.c)

SET(BACKENDSSRC ${CMAKE_CURRENT_SOURCE_DIR}/backends/mmaped_file.c
        ${CMAKE_CURRENT_SOURCE_DIR}/backends/sqlite3_backend.c
        ${CMAKE_CURRENT_SOURCE_DIR}/backends/cdb_backend.cxx
        ${CMAKE_CURRENT_SOURCE_DIR}/backends/http_backend.cxx
        ${CMAKE_CURRENT_SOURCE_DIR}/backends/redis_backend.cxx)

SET(CACHESSRC ${CMAKE_CURRENT_SOURCE_DIR}/learn_cache/sqlite3_cache.c
        ${CMAKE_CURRENT_SOURCE_DIR}/learn_cache/redis_cache.cxx)

SET(RSPAMD_STAT ${LIBSTATSRC}
        ${TOKENIZERSSRC}
        ${CLASSIFIERSSRC}
        ${BACKENDSSRC}
        ${CACHESSRC} PARENT_SCOPE)

=== src/rspamadm/CMakeLists.txt ===
SET(RSPAMADMSRC rspamadm.c
        commands.c
        pw.c
        configtest.c
        fuzzy_convert.c
        configdump.c
        control.c
        confighelp.c
        stat_convert.c
        signtool.c
        lua_repl.c
        ${CMAKE_BINARY_DIR}/src/workers.c
        #${CMAKE_BINARY_DIR}/src/modules.c - defined in rspamdserver
        ${CMAKE_SOURCE_DIR}/src/controller.c
        ${CMAKE_SOURCE_DIR}/src/fuzzy_storage.c
        ${CMAKE_SOURCE_DIR}/src/worker.c
        ${CMAKE_SOURCE_DIR}/src/rspamd_proxy.c)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
IF (ENABLE_HYPERSCAN MATCHES "ON")
    LIST(APPEND RSPAMADMSRC "${CMAKE_SOURCE_DIR}/src/hs_helper.c")
ENDIF()
ADD_EXECUTABLE(rspamadm ${RSPAMADMSRC})
TARGET_LINK_LIBRARIES(rspamadm rspamd-server)

IF (NOT NO_TARGET_VERSIONS)
    SET_TARGET_PROPERTIES(rspamadm PROPERTIES VERSION ${RSPAMD_VERSION})
ENDIF ()

SET_TARGET_PROPERTIES(rspamadm PROPERTIES LINKER_LANGUAGE CXX)
ADD_BACKWARD(rspamadm)
INSTALL(TARGETS rspamadm RUNTIME DESTINATION bin)

=== debian/control ===
Source: rspamd
Section: mail
Priority: extra
Maintainer: Vsevolod Stakhov <vsevolod@rspamd.com>
Build-Depends: cmake,
               debhelper (>= 10),
               libarchive-dev,
               libcurl4-openssl-dev,
               libglib2.0-dev,
               libicu-dev,
               libmagic-dev,
               libpcre2-dev,
               libsodium-dev,
               libsqlite3-dev,
               libssl-dev (>= 1.0),
               libunwind-dev | libunwind-13-dev,
               binutils-dev,
               perl,
               ragel,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://rspamd.com
Vcs-Git: https://github.com/vstakhov/rspamd.git
Vcs-Browser: https://github.com/vstakhov/rspamd

Package: rspamd
Architecture: any
Conflicts: rspamd-asan
Provides: rspamd
Section: mail
Priority: extra
Depends: adduser, lsb-base, ca-certificates, ${misc:Depends}, ${shlibs:Depends}
Description: Rapid spam filtering system
 Rspamd is a rapid, modular and lightweight spam filter. It is designed to work
 with big amount of mail and can be easily extended with own filters written in
 Lua.

Package: rspamd-asan
Architecture: any
Conflicts: rspamd
Provides: rspamd
Section: mail
Priority: extra
Depends: adduser, lsb-base, ca-certificates, ${misc:Depends}, ${shlibs:Depends}
Description: Rapid spam filtering system
 Rspamd is a rapid, modular and lightweight spam filter. It is designed to work
 with big amount of mail and can be easily extended with own filters written in
 Lua. This package is build with no compile optimisations and with ASAN library
 to be used when there is a need to debug Rspamd.

Package: rspamd-dbg
Architecture: any
Section: debug
Priority: extra
Depends: rspamd (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: debugging symbols for rspamd
 This package contains the debugging symbols for rspamd.

Package: rspamd-asan-dbg
Architecture: any
Section: debug
Priority: extra
Depends: rspamd-asan (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: debugging symbols for rspamd-asan
 This package contains the debugging symbols for rspamd-asan.
